This discussion is archived
3 Replies Latest reply: Nov 18, 2012 11:13 PM by sabre150 RSS

Updating JRE in existing application - Need help

974749 Newbie
Currently Being Moderated
I have the latest JRE (1.7.0_09) on my Windows 7 system, yet I have an application that when I install it, utilizes JRE 1.3.0. I have yet to figure out how to upgrade the application's JRE to the current 1.7.0_09 build. I have attempted to make adjustments in the JRE settings, but I still cannot get my application to use the latest JRE. Please advise. Thanks.
  • 1. Re: Updating JRE in existing application - Need help
    sabre150 Expert
    Currently Being Moderated
    971746 wrote:
    but I still cannot get my application to use the latest JRE. Please advise.
    If it ain't broke then don't fix it!
  • 2. Re: Updating JRE in existing application - Need help
    974749 Newbie
    Currently Being Moderated
    It is broke. Some functions don't work. I'm sure it's because the version of Java that it's using is outdated. That's why I posted the question of how I can upgrade the JRE within the application.
  • 3. Re: Updating JRE in existing application - Need help
    sabre150 Expert
    Currently Being Moderated
    971746 wrote:
    It is broke. Some functions don't work. I'm sure it's because the version of Java that it's using is outdated. That's why I posted the question of how I can upgrade the JRE within the application.
    The Devil is in the detail of the application. Did you explicitly install the 1.3 JRE or did it come packaged with the application? If the former then just remove the 1.3 JRE installation and hope that the application then picks up the 1.7 JRE. If the latter then we would need to know a lot lot more about the application and it's installation.

    Presumably the functions that don't work have always not worked and since 1.3 is at least 6 years old presumably the application was designed to work with a 1.3 JRE. What makes you think that changing to 1.7 is going suddenly make these functions work? When the application was built the designers could not have predicted what features of 1.7 they needed so all I can imagine is that some JRE bugs fixed since 1.3 were what cause the functions not to work in the first place. Do you know which 1.3 JRE bugs cause the problems?

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points